/*
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id$  
 */

package com.sun.ts.tests.jaxrs.spec.provider.standardhaspriority;

public abstract class AbstractProvider {
	public long getLength() {
		String name = getClass().getSimpleName().replace("Provider", "");
		long size = "writer".length() + name.length();
		return 2*size;
	}
	
	public String getWriterName() {
		String name = getClass().getSimpleName().replace("Provider", "Writer");
		return name;
	}
	
	public String getReaderName() {
		String name = getClass().getSimpleName().replace("Provider", "Reader");
		return name;
	}
	
}
